OpenCore Legacy Patcher 1.0 apporte macOS Sonoma à 83 Mac oubliés par Apple

Stéphane Moussie |

Moins d'une semaine seulement après l'arrivée de macOS Sonoma en version finale, OpenCore Legacy Patcher 1.0 étend considérablement la prise en charge du nouveau système. Si Apple demande au minimum un MacBook de 2018, un Mac mini de 2018 ou un iMac de 20191, le projet communautaire fait voler en éclat les barrières des générations.

Grâce à ce logiciel issu de la scène Hackintosh qui modifie en profondeur le système d'exploitation, il devient possible d'installer macOS Sonoma sur pas moins de 83 Mac boudés par Apple. La liste de compatibilité remonte jusqu'à des MacBook de 2008, des modèles lancés sous Mac OS X Leopard, rendez-vous compte.

L'utilisation d'OpenCore Legacy Patcher est devenue plus accessible dernièrement grâce à une interface graphique simplifiée et des explications bienvenues pour chaque option avancée. La lecture de la documentation (en anglais) reste néanmoins indispensable, tout comme la vérification de la compatibilité de son Mac.

À ce sujet, une incompatibilité importante est à relever pour les MacBook Pro 2016 et 2017. Apple ayant abandonné la gestion de la puce T1, les fonctionnalités liées à celles-ci — Touch ID, Apple Pay et le trousseau iCloud — sont inopérantes sous Sonoma. Les géniaux développeurs d'OpenCore Legacy Patcher s'emploient à trouver une solution, mais pour l'heure impossible de dire quand cette embuche sera surmontée. Attention aussi à des problèmes graphiques qui persistent avec de vieux GPU.

Une sauvegarde est également essentielle avant d'appliquer une mise à jour grâce à OpenCore Legacy Patcher, car des bugs spécifiques à certaines machines peuvent échapper à la vigilance des contributeurs. Vous pouvez échanger avec d'autres utilisateurs sur le serveur Discord du projet ou bien en français sur notre forum (ou dans les commentaires de cet article, bien entendu).

J’ai installé macOS Monterey sur mon MacBook Pro de 2014 abandonné par Apple

J’ai installé macOS Monterey sur mon MacBook Pro de 2014 abandonné par Apple


  1. Dans le détail, les Mac officiellement compatibles avec macOS Sonoma sont au minimum l'iMac 2019, l'iMac Pro 2017, le MacBook Air 2018, le MacBook Pro 2018, le Mac Pro 2019, le Mac Studio 2022 et le Mac mini 2018.  ↩︎

avatar coink | 

Allez je vais tenter de mettre à jour encore un peu plus mon Frankenstein d’iMac 2009. Le ssd est cuit c’est l’occasion de faire une fresh install Sonoma ;-)
Cet OCLP devrait être financé au titre de la sobriété numérique !

avatar powergeek | 

J'ai fait la mise à jour sur un MBP 13 et ça m'a cassé la partition 🙄

avatar aghez | 

Bonjour,
J’ai un hackintosh sous Ivy Bridge avec macOS Monterey. J’avais compris que c’était le dernière version supportée.

Est ce qu’on peut utiliser OCLP sur un hackintosh ou il faut utiliser le opencore classique ?

avatar David1er | 

J’ai fait trop tôt la mise à jour vers sonoma sur MacBook Pro 2016 avant cette mise à jour d’open core. Je vais tenter de restaurer via une sauvegarde mais pour le moment la mise à jour ne me permet plus d’activer le wifi ou le Bluetooth. J’espère que le rj45 me sauvera…mais j’ai tout de même des craintes.

N’hésitez pas à témoigner si vous avez rencontré le même problème et surtout si vous l’avez surmonté.

avatar roscorporation | 

@David1er

Salut ! J’ai un iMac de mi 2011 … j’utilise donc oclp depuis longtemps ; actuellement sur Monterey 12.7.
J’ai jusqu’à maintenant toujours dû appliquer le « post install root patch » après chaque mise à jour pour récupérer le wifi. C’est ptet juste ça qui te manque 🤷🏼‍♂️

avatar CAr4mBz | 

@roscorporation

Tu n’as pas perdu le bluetooth?

avatar BleuRooster | 

Ventura 13.6 installé avec OpenCore sur iMac 27 2011 i5, 16Go Ram, SSD 1To 😁👌🏻 tout va bien.

J’entendrais encore un peut pour Sonoma.

avatar CAr4mBz | 

@BleuRooster

Reste sous Ventura, le bluetooth n’est plus reconnu sous Sonoma, malgré le patch.
J’étais natif sous High Sierra, j’ai patcher OCLP pour Sonoma et plus de BT.
J’ai effectué une clean install de Monterey patcher avec OCLP, Nickel.
Idem pour l’update vers Ventura… plus de nouveau plus de bluetooth quand j’update vers Sonoma.
Je ne sais pas si une mise à jour du patch réglera cela.

avatar BleuRooster | 

@CAr4mBz

Merci pour l’info, de toute façon je pense le remplacer d’ici 2ans max, ça m’embête un peu par rapport à mon utilisation de mettre plus de 1500€ mais bon il aura bien vécu.

Je rêve que l’iPhone puisse lancer macOS par rapport à mon utilisation, mais faut pas rêver avec Apple…..

avatar lulubotine | 

Un Mac mini 2010 peut continuer à faire fonctionner Adobe cs5 ?

avatar Jean-Jacques Cortes | 

@lulubotine
J’arrive à faire tourner Adobe CS2 sur un PC sous Windows 11 64 bits. Alors pourquoi pas ?

avatar IRONMAN65 | 

Question : c’est quoi l’intérêt ? 😳

avatar Nesus | 

@IRONMAN65

Avoir une machine à jour, alors qu’elle n’est plus supportée et qu’elle n’a pas besoin pour autant de finir à la poubelle.

Le non support d’Apple peut se comprendre parce que ça ne fonctionne pas parfaitement (de vrai problème avec les machines ne pouvant pas supporter métal), pour autant le travail de l’équipe d’opencore est génial.

avatar Mehdib92 | 

@Nesus

Un mac qui n’est plus mis à jour fini forcément a la poubelle ?

avatar Nesus | 

@Mehdib92

C’est quoi le rapport ?
Vous mettez votre Mac mini à la poubelle parce qu’il n’est pas sur la dernière mise à jour ?

D’autant que si vous avez bien lu, j’ai fait passé un grand nombre de Mac sur les derniers systèmes grâce à opencore. Depuis Big sur, donc j’ai une certaine antériorité. Entre comprendre pourquoi une entreprise commerciale ne et pas à jour des machines qui ont un problème de matériel et support de technologie et accepter qu’on mette un ordinateur fonctionnel à la poubelle ça vous paraît impossible ?
Genre c’est tout l’un ou tout l’autre ?
Bref, c’est quand même le festival des limités. Faut vraiment que j’arrête les commentaires de macg.

avatar Mehdib92 | 

@Nesus

Faut reprendre le traitement de Prozac et se détendre… J’ai pas été agressif je ne vois pas de raison de l’être autant…

J’ai peut-être mal compris ton commentaire mais j’avais cru lire qu’en gros une machine pas à jour ne sert plus à rien. Sur ce bonne journée. Et ne te couche pas trop tard c’est pas bon pour ce que tu as

avatar Nesus | 

@Mehdib92

Je ne sais pas ce qui est bon pour les gens qui lisent des choses qui n’ont jamais été écrites. Mais bon, il n’y a aucune raison de trouver que ce n’est pas normal. Après tout n’importe qui peut raconter n’importe quoi et tout est normal. Bref…

avatar Mehdib92 | 

@Nesus

lol

avatar BleuRooster | 

@IRONMAN65

Garder à jour des Mac plus pris en charge par Apple, pour ne pas les jeter à la poubelle.

avatar hugome | 

Les gens qui croient pas à l’existence de l’obsolescence programmée en PLS.

avatar iamaware | 

C'est clair 🤯.

avatar imrfreeze | 

@hugome

L'expression d'obsolescence programmée est très galvaudée, mais là, je trouve qu'elle les véritablement adaptée : c'est bien une décision de ne plus prendre en compte un parc de machines alors qu'il pourrait tout à fait continuer à tourner des versions plus récentes à 95 % de leur capacité, si ce n'est 100 %, et ce n'est pas la mer à boire si une toute petite équipe de développeurs arrive à le faire à la place d'Apple

avatar hugome | 

@imrfreeze

On est bien d’accord que c’est un sujet chargé et qu’il est parfois l’otage de théories un peu complotistes. Mais entre ceux qui fustigent le méchant grand capital et ceux qui disent que ça n’existe pas car le marché pur et parfait punit les entreprises qui n’ont pas le souci de satisfaire leurs client, il y a la réalité.
Et la réalité c’est qu’une entreprise qui a une base de clients captifs (genre Apple) et qui a une information asymétrique sur ses produits (terme d’économie pour dire qu’ils en savent bien plus que leurs clients sur leurs produits et comment accélérer leur rotation) l’incitation à magouiller pour pousser au remplacement des produits qui pourraient perdurer est énorme. Et ça existe.

J’irais même plus loin : beaucoup de développements ont uniquement cet objectif casser la compatibilité des anciens OS et anciens hardware.
Des choses que l’on voyait beaucoup moins quand il fallait acheter l’upgrade, et qui nous sont poussées aujourd’hui en douce, sans parler des mises à jour de bon sens, sécurité, compatibilité tiers, etc… qui étaient dissociées des OS.

avatar 3RIC | 

Traduction : Apple (qui a infiniment plus de moyens et d’expertise qu’OpenCore) peut très bien faire tourner les Os récents nickels sur des vieilles bécannes.
Obsolécense programmée abjecte.

Et ça se la joue écolo. 🤡

avatar ⚜Dan | 

T'as quand même une machine qui fonctionne a moitié avec plein de trou de sécurité utilisé pour patcher. Donc pas trop non, je les comprends car un Mac doit être optimal et pas juste fonctionnel lol

avatar Fonzerelli | 

Mouais, ils pourraient faire des mises à jour minimales de leurs apps au moins (Safari, Notes).

avatar ⚜Dan | 

@Fonzerelli

Jsuis d’accord avec ça, c’est certain 👍🏻

avatar hugome | 

@⚜Dan

J’ai réussi à faire tourner un Mac Pro de 2006 sous un El Capitan hacké. Et il tourne encore.
C’est un mec tout seul qui avait fait le hack.
Je suis persuadé qu’Apple pourrait facilement le patcher aussi et que les raisons pour ne plus soutenir d’anciens modèles sont avant tout économiques, et pas techniques.
Sur le fond, c’est assez scandaleux qu’un fabricant qui fait une telle marge décide quand ton produit n’est plus bon pour le service au bout de quelques années, sur la base de critères opaques et très certainement injustifiables techniquement.

avatar pat3 | 

@hugome

"Je suis persuadé qu’Apple pourrait facilement le patcher aussi et que les raisons pour ne plus soutenir d’anciens modèles sont avant tout économiques,"

Ben oui, c’est tout le marché de l’informatique qui fonctionne sur cette supercherie. Tous pratiquent l’obsolescence programmée et ont construit leur modèle économique dessus.
Tu peux rester sur un OS ancien, avec les logiciels qui correspondent à cet OS, le matos qui va avec l’ordi de cet OS, et ne mettre à jour que ton navigateur.
La durée de vie de ton ordinateur augmente drastiquement.
Mais TOUT le discours informatique depuis les premiers ordis personnels est construit sur l’idée de mise à jour… on a juste glissé de la mise à jour fonctionnelle à la mise à jour commerciale.

avatar hugome | 

@pat3

Même plus, car il faut un mastere d’informatique pour comprendre les impacts croisés sur les synchros inter-devices et les services cloud, dont la comptabilité est cassée sans prévenir personne.

avatar iamaware | 

.. Ils pourraient même rendre de nouveau opérationnels des ordinateurs vieux de 10 ans. Mais ça génère moins de profits que l'obsolescence programmée donc ils font pas ça Apple.
A un moment donné, c'est à l’État de jouer son rôle. Ils devraient créer un nouvel impôt afin de dissuader Apple ou autre fabriquant de produit High-Tech de faire de l'obsolescence programmée.

avatar RB3D | 

et pas un mot plus haut que l’autre de l’Europe!

avatar ataredg | 

Apple a beau se parer de toutes les vertus ecologiques mais il n'empêche que des machines qui sont encore tout à fait fonctionnelles ne sont plus prises en charges par leur OS. Et c'est intentionnel comme le prouve cet utilitaire.

avatar Crunch Crunch | 

Trop bien. Bravo à eux 👍🏻

avatar 40ph3321 | 

Ca a l’air top, mais est-ce que les anciens mac sont à même de faire tourner Sonoma sans ralentissements (trop) significatifs (sachant que j’ai un mba 2013) ? Merci pour vos retours !

avatar Darkgam3rz | 

Moi j'ai Ventura sur un MBA 2012 avec.....4go de ram ! et ça tourne au poil !!!

Utilisation lambda par contre :

Mail, sms, FaceTime, synchro iPhone, surf, et la suite apple qui tourne NORMALEMENT!

J'ai juste de temps en temps la roue colorée sous safari environ 3 secondes, et puis c'est tout, c'est vraiment dingue, surtout que la machine n'a que 4go!

avatar iamaware | 

macOS est un Unix de la branche BSD.
Donc si FreeBSD ou les Linux comme Debian fonctionnent sur les ordinateurs vieux de 15 ans, ça signifie qu'Apple est de mauvaise fois dans cette histoire.

Un système Unix consomme peu de ressources, c'est pour ça que la plupart des Raspberry Pi sont sur Debian et non Windows.
source : https://www.raspberrypi-france.fr/guide/systeme-exploitation-raspberry-pi/

avatar Nesus | 

@iamaware

Faut vraiment pas avoir beaucoup de connaissances pour écrire une chose pareille. Allez sur le site d’opencore et lisez ce que les devs ont réalisé. Après, nous en rediscuterons.

avatar iamaware | 

@Nesus

Si des dev indé peuvent le faire, pourquoi les ingénieurs Apple ne peuvent t-il pas le faire ?
J'attend votre réponse du coup ?

avatar iamaware | 

Extrait de la page wikipedia de macOS : "Mac OS X est fondé sur le noyau Mach et sur l’implémentation BSD d'Unix, qui ont été incorporés à NeXTSTEP, le système d’exploitation orienté objet développé par la société fondée par Steve Jobs après son départ d’Apple en 1985, NeXT".

Donc oui, macOS est bien un Unix basé sur BSD comme écrit précédemment.

Et lisez aussi cet extrait de la page wikipedia de BSD : "Les systèmes BSD sont généralement conçus pour être utilisés sur des serveurs, mais il existe quelques variantes spécifiquement destinées aux ordinateurs personnels. Ils sont réputés pour leur organisation et leurs performances dans leurs domaines de prédilection : la fiabilité en tant que serveur pour FreeBSD, la portabilité pour NetBSD et la sécurité pour OpenBSD.
Leur très grande stabilité leur permet de fonctionner sans s'arrêter ni redémarrer durant des périodes extrêmement longues (plusieurs années).
Dans le monde Unix, on oppose souvent les paradigmes BSD aux paradigmes Système V (POSIX), plus suivis, notamment par Linux.
Comme Linux avec Tux, la famille BSD possède une mascotte : le Démon BSD. "

Donc oui, je le répète macOS est un OS basé sur BSD (lui-même basé sur Unix). Les systèmes Unix équipent la plupart des serveurs dans les différents datacenter dans le monde en raison de leur stabilité, performance et également en raison de leur efficacité au niveau de la gestion du CPU.
Et qui dit moins de CPU dit aussi une facture EDF moins chère pour les Data Center. Mais la conséquence collatérale des systèmes UNIX fait que des anciennes machines ayant 10 ans 15 ans, restent encore dans le coup pour des mises-à -jour systèmes. Ce qui n'est pas très bon pour le chiffre d'affaire d'entreprises qui doivent justifier tous les trimestres, devant leur actionnaires, des taux de croissance (et donc de ventes) de plus en plus forts afin que ces derniers puissent être rémunérés via des dividendes.
Autrement, sans dividendes, les actionnaires s'en vont.

Et c'est pour ça que Steve Jobs est passé des systèmes dits classiques (du Système 1 à Mac OS 9) à des systèmes Unix de type BSD.

Liens : https://www.nextinpact.com/article/44929/histoire-macos-mort-systemes-classic-a-douloureuse-revolution-mac-os-x

Voilà voilà. Dingue ces "iPhone Men" qui pensent tout savoir d'Apple juste parce qu'ils ont acheté le dernier iPhone XX Pro Max à 2000€.

avatar Nesus | 

@iamaware

Monsieur, j’ai eu mon premier Mac en 1990.
Quant à tout votre copié-collé, il n’a aucun sens. Votre propos est de dire qu’Apple ne veut pas le faire et que Linux (quelque soit la distribution) sait le faire. Donc c’est de la mauvaise foi d’Apple. Et donc je recommence mon propos, c’est être bien ignorant que d’avoir cet avis.
En même temps, c’est sûr que c’est beaucoup plus simple d’ignorer, ça permet d’avoir un avis tranché sans faire absolument aucun effort.
C’est dingue c’est gens qui pensent tout savoir sans s’être jamais posé la question de quoi que ce soit.

avatar MarcMame | 

@Nesus

"Monsieur, j’ai eu mon premier Mac en 1990. "

———
Et moi en 87 à titre personnel mais utilisateur depuis 1978.
Donc c’est moi le plus fort et le plus intelligent ?
J’ai gagné ?

avatar Nesus | 

@MarcMame

Non, puisque vous avez décidé que je n’avais que des iPhone. Vous avez la mémoire si courte que vous ne pouvez reconnaître vos erreurs et affirmations fausses ?
C’est sûr, c’est plus facile d’essayer de modifier le propos d’autrui, sait-on jamais des fois qu’il serait bête ça éviterai de passer pour autant.

avatar MarcMame | 

@Nesus

"Non, puisque vous avez décidé que je n’avais que des iPhone."

———
A quel propos répondez vous ?

avatar MarcMame | 

@Nesus

"Votre propos est de dire qu’Apple ne veut pas le faire"

———
Cette affirmation est parfaitement valide.
Si quelqu’un peut le faire et que le fabricant lui-même ne le fait pas c’est bien qu’il ne souhaite pas le faire. Peu importe les raisons !
Il n’y a pas à tergiverser.

avatar Nesus | 

@MarcMame

Elle est fausse. Puisqu’elle omet sciemment la problématique de maintenir du matériel obsolète. C’est nier la partie technique et technologique. En même temps, c’est assez logique de votre point de vue.

avatar MarcMame | 

@Nesus

"Elle est fausse. Puisqu’elle omet sciemment la problématique de maintenir du matériel obsolète. C’est nier la partie technique et technologique. En même temps, c’est assez logique de votre point de vue."
———
A quel propos répondez vous ?

avatar MarcMame | 

@Nesus

"En même temps, c’est sûr que c’est beaucoup plus simple d’ignorer, ça permet d’avoir un avis tranché sans faire absolument aucun effort.
C’est dingue c’est gens qui pensent tout savoir sans s’être jamais posé la question de quoi que ce soit."

———
C’est également valable pour vous.

avatar iamaware | 

@Nesus

Moi il n'y a que les faits qui m’intéressent. Etre pro Apple, pro Windows, pro Linux, pro OM, pro PSG, pro Mbappé ou pro Haaland. Tout ça, ça m’intéresse pas. Il n'y a que la vérité qui compte (bon c'était aussi le titre d'une émission racoleuse des années 2000).

Et comme la vérité est un concept parfois complexe et volatil on pourrait bien le remplacer par le concept de "faits" (par le factuel au fait).

Donc, je me base pas sur des émotions pour émettre une hypothèse rationnelle , surtout lorsqu'il s'agit d'informatique.
Autrement, on peut potentiellement se faire influencer. D'où les l'existence des "influenceurs".

PS : Je suis content que vous soyez un ancien, tout comme moi (bon moi c'était 4 ans après le votre mon 1er Mac). Donc "Don't worry, be happy" 😄

avatar Nesus | 

@iamaware

Parlons de faits alors. Les machines qui plantent sans arrêt en essayant de les mettre à jour via opencore legacy patcher ? Les Mac Pro.
Voilà, je vous laisse nous donner la conclusion.
Les gars d’opencore remplissent des pages et des pages pour expliquer les choix d’Apple. Ainsi que les limitations matériels qui ont poussés à l’abandon d’une grande partie des machines.
Alors certes, ça ne peut et ça n’est pas la seule explication, mais comme nous ne parlions que de faits, je m’y suis limité.

Pages

CONNEXION UTILISATEUR